Subject: bug#20623: XML and HTML files with encoding/charset="utf-8" declaration loose BOM; Coding system is reset from utf-8-with-signature to utf-8 on save

From: Eli Zaretskii <[email-masked]>
Date: Sat, 11 Aug 2018 16:54:04 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked]
> Date: Sat, 11 Aug 2018 08:45:15 -0400
> 
> > > And I don't understand the comment about latin-1-mac: I don't think we
> > > have such problems in Emacs.  The -with-signature variety is
> > > different, because it is not about EOL format.
> > You might be right, but I don't know where/how this is handled.
> 
> I still don't know where the EOL part is handled.

If you tell me what do you mean by "handled" in this context, I might
be able to help you understand where that happens.